For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTAudio isolation
      • GETGet Audio Isolation History
      • DELDelete Audio Isolation History Item
      • POSTAudio isolation stream
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIAudio Isolation

Audio isolation

POST
/v1/audio-isolation
POST
/v1/audio-isolation
$curl -X POST https://api.elevenlabs.io/v1/audio-isolation \
> -H "Content-Type: multipart/form-data" \
> -F audio=@string
1{}
Removes background noise from audio.
Was this page helpful?
Previous

Get Audio Isolation History

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing a file.
audiofileRequired

The audio file from which vocals/speech will be isolated from.

file_formatenum or nullOptionalDefaults to other

The format of input audio. Options are ‘pcm_s16le_16’ or ‘other’ For pcm_s16le_16, the input audio must be 16-bit PCM at a 16kHz sample rate, single channel (mono), and little-endian byte order. Latency will be lower than with passing an encoded waveform.

Allowed values:
preview_b64string or nullOptional
Optional preview image base64 for tracking this generation.

Response

Successful Response

Errors

422
Unprocessable Entity Error